=== debian/changelog ===
readpe (0.82-3.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:54:38 +1100

readpe (0.82-3.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:11:07 +0000

readpe (0.82-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063185

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:44:00 +0000

readpe (0.82-3) unstable; urgency=medium

  * debian/tests/control:
      - Added 'Architecture' field to mark architectures on which tests are
        known not to work.
      - Added comment to clarify why the tests fail on two architectures.
      - Replaced '@' with 'readpe' on 'Depends' field to avoid testing
        transitional package 'pev'.

 -- David da Silva Polverari <polverari@debian.org>  Fri, 08 Sep 2023 22:48:02 +0000

readpe (0.82-2) unstable; urgency=medium

  * Upload to unstable.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 04 Sep 2023 15:11:40 +0000

readpe (0.82-1) experimental; urgency=medium

  * New upstream release.
  * Upstream renamed the source from pev to readpe. Consequently:
      - debian/control:
          ~ Added readpe package stanza.
          ~ Changed Source field to readpe.
          ~ Made pev a transitional package.
          ~ Updated Homepage field.
          ~ Updated Vcs-* fields.
      - debian/copyright:
          ~ Added Comment field to header stanza.
          ~ Updated all previous header stanza fields.
      - debian/upstream/metadata: updated all existing fields.
      - debian/watch: updated to reflect upstream repository change.
  * Split package into multiple binaries. Consequently:
      - debian/control:
          ~ Added dh-exec to Build-Depends.
          ~ Added libpe1 and libpe1-dev package stanzas.
      - debian/libpe1.install: created to install libpe library files.
      - debian/libpe1.symbols: created to provide a symbols file to libpe1.
      - debian/libpe-dev.install: created to install libpe development files.
      - debian/lintian-overrides: removed.
      - debian/pev.dirs: removed in favor of debian/readpe.dirs.
      - debian/readpe.dirs: added to create directories for readpe installation.
      - debian/readpe.install: created to install readpe files.
      - debian/readpe.lintian-overrides: created to add an override due to bug
        #204975 and to accommodate previous override of false-positive lintian
        on documentation outside /usr/share/doc.
      - debian/rules: updated DESTDIR to reflect changes to installation
        directory.
      - debian/source/lintian-overrides: changed the source package name on
        lintian to match the new name.
  * debian/control:
      - Added myself to Uploaders.
      - Update team maintainer address to Debian Security Tools
        <team+pkg-security@tracker.debian.org>.
  * debian/copyright:
      - Removed superfluous Files pattern.
      - Reordered stand-alone License stanzas to match their appearance order.
      - Updated upstream copyright years.
  * debian/patches/: dropped, as all previous patches were merged upstream.
    Thanks!
  * debian/rules: replaced existing override_dh_auto_clean target with a an
    equivalent execute_after_dh_auto_clean target.

 -- David da Silva Polverari <polverari@debian.org>  Wed, 02 Aug 2023 17:22:08 -0300

pev (0.81-10) unstable; urgency=medium

  * debian/patches/:
      - 0001-widechar-off-by-one.patch: fixed DEP-3 patch metadata.
      - 0004-avoid-fixed-path.patch: updated patch metadata.
      - 0005-fix-ftbs-hurd-kfreebsd.patch: updated patch metadata.
  * debian/tests/test-runs: replaced confusing comments in autopkgtests. Thanks
    to Sam Hartman <hartmans@debian.org>. (Closes: #1040436)

 -- David da Silva Polverari <david.polverari@gmail.com>  Sun, 09 Jul 2023 01:08:02 -0300

pev (0.81-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ David da Silva Polverari ]
  * debian/copyright: updated packaging copyright years.
  * debian/patches/0006-fix-bo-pe_exports.patch: created to fix a buffer
    overflow vulnerability present on libpe's pe_exports function
    (CVE-2021-45423). (Closes: #1034725)

 -- David da Silva Polverari <david.polverari@gmail.com>  Sat, 22 Apr 2023 19:41:47 +0000

pev (0.81-8) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/lintian-overrides: modified existing overrides to comply with latest
    lintian output changes.
  * debian/rules: included /usr/share/dpkg/buildtools.mk back to set CC properly
    for cross-compilation and exported CC for usage by make, as dh_auto_build
    alone did not automatically pass cross tools as command variables to it.
  * debian/source/lintian-overrides: created to override false-positives.

 -- David da Silva Polverari <david.polverari@gmail.com>  Mon, 07 Nov 2022 17:46:55 +0000

pev (0.81-7) unstable; urgency=medium

  * debian/copyright: updated packaging copyright years.
  * debian/patches/0005-fix-ftbs-hurd-kfreebsd.patch: added to fix FTBFS on
    Debian GNU/Hurd and Debian GNU/kFreeBSD.

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 08 Feb 2022 23:12:08 +0000

pev (0.81-6) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/patches/0004-avoid-fixed-path.patch: added to fix FTBFS on Hurd and
    kFreeBSD due to unconditional PATH_MAX usage.
  * debian/rules: used a simpler approach to avoid FTCBFS. Thanks to Helmut
    Grohne <helmut@subdivi.de>. (Closes: #993122)

 -- David da Silva Polverari <david.polverari@gmail.com>  Tue, 01 Feb 2022 00:29:16 +0000

pev (0.81-5) unstable; urgency=medium

  * New maintainer. (Closes: #836368)
  * Ran wrap-and-sort.
  * Using new DH level format. Consequently:

