=== debian/control ===
Source: readpe
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: David da Silva Polverari <polverari@debian.org>
Homepage: https://github.com/mentebinaria/readpe/wiki
Section: utils
Priority: optional
Standards-Version: 4.6.2
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-exec, libssl-dev
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/pkg-security-team/readpe
Vcs-Git: https://salsa.debian.org/pkg-security-team/readpe.git

Package: pev
Depends: readpe, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: text-based tool to analyze PE files (transitional package)
 pev is a tool to get information of PE32/PE32+ executables (EXE, DLL, OCX etc)
 like headers, sections, resources and more.
 .
 This is a transitional package. It can safely be removed.

Package: readpe
Replaces: pev (<< 0.82-1~)
Breaks: pev (<< 0.82-1~)
Architecture: any
Depends: libpe1t64, ${misc:Depends}, ${shlibs:Depends}
Description: command-line tools to manipulate Windows PE files
 readpe is a toolkit designed to analyze Microsoft Windows PE (Portable
 Executable) binary files. Its tools can parse and compare PE32/PE32+
 executable files (EXE, DLL, OCX, etc), and analyze them in search of
 suspicious characteristics.
 .
 It can be used to get information from those executable files, such as
 headers, sections, resources and more. It also provides tools to disassemble PE
 files and determine their security mitigations. It is useful for application
 security research, digital forensics and incident response, and malware
 analysis.
 .
 It is similar to elftools, only designed for PE files. It has more features
 than other more specific PE tools, such as icoextract or ntldd.
 .
 This package provides the ofs2rva, pedis, pehash, peldd, pepack, peres,
 pescan, pesec, pestr, readpe and rva2ofs commands.

Package: libpe1t64
Provides: ${t64:Provides}
Replaces: libpe1
Breaks: libpe1 (<< ${source:Version})
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to read Windows PE files
 The libpe1t64 package provides a shared library which allows reading PE 32 and
 64-bit files. Third party programs depend on this package to read internals of
 PE files.
 .
 This library is part of readpe.

Package: libpe-dev
Section: libdevel
Architecture: any
Depends: libpe1t64 (= ${binary:Version}), ${misc:Depends}
Description: library to read Windows PE files (development files)
 The libpe1t64 package provides a shared library which allows reading PE 32 and
 64-bit files. Third party programs depend on this package to read internals of
 PE files.
 .
 This library is part of readpe.
 .
 This package provides the development files for libpe1.
