=== debian/tests/control ===
Depends: gzip-win32, readpe, valgrind
# autopkgtests don't work on armel due to missing valgrind, and on s390x due to
# upstream bug (endianness).
Architecture: !armel !s390x
Tests: test-runs
Restrictions: allow-stderr
