=== lib/libpe/Makefile ===
--- 
+++ 
@@ -53,16 +53,16 @@
 	-I"./include" \
 	-fPIC \
 	-W -Wall -Wextra -pedantic -std=c99 -c
-override CPPFLAGS += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
+
 #override LDFLAGS += -lssl -lcrypto
-LIBS = -lssl -lcrypto
+LIBS = -lssl -lcrypto -lm
 
 # --- FIX: -fPIC is necessary to ALL shared objects! Changed above.
 #ifneq ($(PLATFORM_OS), CYGWIN)
 #	override CFLAGS += -fPIC
 #endif
 
-VERSION = 0.82
+VERSION = 0.84
 LIBNAME = libpe
 
 SRC_DIRS = $(srcdir) $(srcdir)/libfuzzy
