=== debian/changelog ===
readpe (0.84-2) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.7.0.
      - Marked libpe-dev as 'Multi-Arch: same'.
  * debian/copyright: updated packaging copyright years.
  * debian/libpe1t64.lintian-overrides: not used anymore. Removed.
  * debian/tests/:
      - control: removed dependency on gzip-win32 and added dependency on
        gcc-mingw-w64-x86-64.
      - test-runs: replaced test executable by own source code compiled during
        test run.

 -- David da Silva Polverari <polverari@debian.org>  Sun, 09 Feb 2025 00:55:45 +0000

readpe (0.84-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: set 'Multi-Arch: same' in libpe1t64.
  * debian/copyright:
      - Updated maintainer email address.
      - Updated packaging copyright years.
  * debian/libpe1t64.symbols: updated.
  * debian/source/lintian-overrides: updated to override a lintian about a
    prebuilt Windows binary included in the source tarball.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 18 Mar 2024 03:38:27 +0000
