=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: readpe
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: David da Silva Polverari <polverari@debian.org>
 Homepage: https://github.com/mentebinaria/readpe/wiki
 Section: utils
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-exec, libssl-dev
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/readpe
@@ -50,6 +49,7 @@
 Breaks: libpe1 (<< ${source:Version})
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library to read Windows PE files
  The libpe1t64 package provides a shared library which allows reading PE 32 and
@@ -61,6 +61,7 @@
 Package: libpe-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libpe1t64 (= ${binary:Version}), ${misc:Depends}
 Description: library to read Windows PE files (development files)
  The libpe1t64 package provides a shared library which allows reading PE 32 and
