## readpe 0.85

=== debian/changelog ===
readpe (0.85-1) unstable; urgency=medium

  * New upstream version 0.85.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Dropped transitional 'pev' package after the release of trixie.
      - Removed obsolete Replaces/Breaks on 'pev'.
  * debian/copyright: replaced old postal address of FSF by URL.
  * debian/libpe1t64.symbols: added new symbol.

 -- David da Silva Polverari <polverari@debian.org>  Mon, 25 Aug 2025 05:33:01 +0000
