=== lib/libpe/Makefile ===
--- 
+++ 
@@ -62,7 +62,7 @@
 #	override CFLAGS += -fPIC
 #endif
 
-VERSION = 0.84
+VERSION = 0.85
 LIBNAME = libpe
 
 SRC_DIRS = $(srcdir) $(srcdir)/libfuzzy
@@ -83,7 +83,7 @@
 #
 # It makes a difference where in the command you write this option; the linker searches and processes
 # libraries and object files in the order they are specified. Thus, ‘foo.o -lz bar.o’ searches library
-# ‘z’ after file foo.o but before bar.o. If bar.o refers to functions in ‘z’, those functions 
+# ‘z’ after file foo.o but before bar.o. If bar.o refers to functions in ‘z’, those functions
 # may not be loaded.
 #
 
@@ -106,7 +106,7 @@
 	$(LINK) -shared -Wl,-soname,$(LIBNAME).so.1 $(LDFLAGS) -o $(LIBNAME).so $^ $(LIBS)
 else ifeq ($(PLATFORM_OS), Darwin)
 	$(LINK) -headerpad_max_install_names -dynamiclib \
-		-flat_namespace -install_name $(LIBNAME).$(VERSION).dylib \
+		-flat_namespace -install_name $(libdir)/$(LIBNAME).$(VERSION).dylib \
 		-current_version $(VERSION) -compatibility_version $(VERSION) \
 		$(LDFLAGS) -o $(LIBNAME).dylib $^ $(LIBS)
 else ifeq ($(PLATFORM_OS), CYGWIN)
