=== debian/changelog ===
readpe (0.85.1-1) unstable; urgency=medium

  * New upstream version 0.85.1.
      - Fixed reported version string only.

 -- David da Silva Polverari <polverari@debian.org>  Tue, 02 Sep 2025 23:51:51 +0000
