=== debian/control ===
--- 
+++ 
@@ -4,25 +4,13 @@
 Homepage: https://github.com/mentebinaria/readpe/wiki
 Section: utils
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-exec, libssl-dev
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/readpe
 Vcs-Git: https://salsa.debian.org/pkg-security-team/readpe.git
 
-Package: pev
-Depends: readpe, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: text-based tool to analyze PE files (transitional package)
- pev is a tool to get information of PE32/PE32+ executables (EXE, DLL, OCX etc)
- like headers, sections, resources and more.
- .
- This is a transitional package. It can safely be removed.
-
 Package: readpe
-Replaces: pev (<< 0.82-1~)
-Breaks: pev (<< 0.82-1~)
 Architecture: any
 Depends: libpe1t64, ${misc:Depends}, ${shlibs:Depends}
 Description: command-line tools to manipulate Windows PE files
