=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all

# pass cross tools as command variables to make
include /usr/share/dpkg/buildtools.mk
export CC

%:
	dh $@
execute_after_dh_auto_clean:
	$(RM) src/lib/libfuzzy/edit_dist.o src/lib/libfuzzy/fuzzy.o
override_dh_auto_build:
	dh_auto_build -- prefix=/usr pluginsdir=/usr/lib/pev/plugins
override_dh_auto_install:
	$(MAKE) prefix=/usr pluginsdir=/usr/lib/pev/plugins \
	    DESTDIR=$(CURDIR)/debian/tmp install
